# Wrappers to Expose contract Functionality
# in python

from Acquisition import Implicit
from Util import error_page
from DocumentTemplate import HTML

class NameSpaceAcqWrap(Implicit):

    def __getitem__(self, key):
        return getattr(self,key)


def handle_errors(errors, namespace):
    
    h = HTML(error_page)
    
    req = namespace['REQUEST']
    res = req.RESPONSE
    
    res.setHeader('Content-Type','text/html')
    req['contract_errors']=errors
    res.write(
        h(None,namespace,contract_errors=errors))
    
    res.close()
